#ifndef MARKETPLACE_H
#define MARKETPLACE_H

#include "article.h"
#include "sale.h"
#include "seller.h"

#include <vector>

class Marketplace
{
  public:
    Marketplace();
    void storeToDb(bool onlyDelete = false);
    void loadFromDb();
    std::vector<std::unique_ptr<Seller>>& getSellers();
    int getNextSellerNo();
    int getNumSellersDelete();
    void sortSellers();

  private:
    std::vector<std::unique_ptr<Seller>> sellers_;
    std::vector<std::unique_ptr<Sale>> sales_;
};

#endif